fuss-manager - Segnalazione #857

Struttura di classi per i permessi
06/28/2019 01:43 PM - Elena Grandi

Status: Chiuso Start date: 06/28/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Autenticazione e autorizzazione

Resolution:

Description

Creare una gerarchia di classi pressoché vuote (a partire da una Permission) corrispondenti ai permessi disponibili.

L'elenco di permessi sara poi un Set di queste classi

Related issues:

Related to fuss-manager - Segnalazione #859: Stesura di un elenco iniziale di... Chiuso 06/28/2019

Associated revisions

Revision d104b48d - 07/09/2019 12:31 PM - Enrico Zini
Added initial draft. refs: #857

History

#1 - 06/28/2019 01:48 PM - Elena Grandi

- Target version set to 0.7 Autenticazione e autorizzazione

#2 - 07/09/2019 12:33 PM - Enrico Zini

- Assignee changed from Enrico Zini to Elena Grandi

| added an initial draft. It's still all a bit vague until we start associating them to users and checking them in the web api.

Assigning for review.

#3 - 07/09/2019 12:33 PM - Enrico Zini

- Related to Segnalazione #859: Stesura di un elenco iniziale di Permission necessarie added

#4 - 07/09/2019 02:10 PM - Elena Grandi
- Status changed from Nuovo to Chiuso

- Assignee changed from Elena Grandi to Enrico Zini

Mergiato, chiudo.

Le classi successive verranno aggiunte a manage/perms.py man mano che servono per i vari ticket.
